[Android] [PATCH 1/2] Move modules blacklisting in shell script

Rafaël Carré funman at videolan.org
Sat May 26 15:24:28 CEST 2012


---
 Makefile        |    2 +-
 find_modules.sh |   70 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 1 deletion(-)
 create mode 100755 find_modules.sh

diff --git a/Makefile b/Makefile
index a2de793..877cb49 100644
--- a/Makefile
+++ b/Makefile
@@ -36,7 +36,7 @@ $(VLC_APK): $(LIBVLCJNI) $(JAVA_SOURCES)
 	@echo
 	$(VERBOSE)cd $(SRC) && ant $(ANT_OPTS) debug
 
-VLC_MODULES=`find $(VLC_BUILD_DIR)/modules -name 'lib*_plugin.a'|grep -v -E "stats|access_bd|oldrc|real|hotkeys|gestures|sap|dynamicoverlay|rss|libball|bargraph|clone|access_shm|mosaic|imem|osdmenu|puzzle|mediadirs|t140|ripple|motion|sharpen|grain|posterize|mirror|wall|scene|blendbench|psychedelic|alphamask|netsync|audioscrobbler|imem|motiondetect|export|smf|podcast|bluescreen|erase|record|speex_resampler|remoteosd|magnify|gradient|spdif|dtstofloat32|logger" | tr \\\\n \ `
+VLC_MODULES=`./find_modules.sh $(VLC_BUILD_DIR)`
 
 $(LIBVLCJNI_H):
 	$(VERBOSE)if [ -z "$(VLC_BUILD_DIR)" ]; then echo "VLC_BUILD_DIR not defined" ; exit 1; fi
diff --git a/find_modules.sh b/find_modules.sh
new file mode 100755
index 0000000..ed997f0
--- /dev/null
+++ b/find_modules.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+    echo "Usage: $0 [vlc build dir]"
+    exit 1
+fi
+
+blacklist="
+stats
+access_bd
+oldrc
+real
+hotkeys
+gestures
+sap
+dynamicoverlay
+rss
+libball
+bargraph
+clone
+access_shm
+mosaic
+imem
+osdmenu
+puzzle
+mediadirs
+t140
+ripple
+motion
+sharpen
+grain
+posterize
+mirror
+wall
+scene
+blendbench
+psychedelic
+alphamask
+netsync
+audioscrobbler
+imem
+motiondetect
+export
+smf
+podcast
+bluescreen
+erase
+record
+speex_resampler
+remoteosd
+magnify
+gradient
+spdif
+dtstofloat32
+logger
+"
+
+regexp=
+for i in ${blacklist}
+do
+    if [ -z "${regexp}" ]
+    then
+        regexp="${i}"
+    else
+        regexp="${regexp}|${i}"
+    fi
+done
+
+find $1/modules -name 'lib*plugin.a' | grep -vE "${regexp}" | tr '\n' ' '
-- 
1.7.9.5


More information about the Android mailing list